package com.zbf.system.domain;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_call_notice
 *
 * @author tony
 * @date 2024-07-11
 */
@TableName(resultMap = "com.zbf.system.mapper.TCallNoticeMapper.TCallNoticeResult")
public class TCallNotice extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;

    /** 仓库ID */
    @Excel(name = "仓库ID")
    private String storageId;
    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String storageShortName;
    /** 托盘 */
    @Excel(name = "托盘")
    private String ctl;

    /** PLCID */
    @Excel(name = "PLCID")
    private Long plcid;

    /** 入库任务ID */
    @Excel(name = "入库任务ID")
    private String rukuId;

    /** 任务类型 0：入库  1：出库 */
    @Excel(name = "任务类型 0：入库  1：出库")
    private String taskType;

    /** 出库任务ID */
    @Excel(name = "出库任务ID")
    private String chukuId;

    /** 0: 未处理  1：已处理 */
    @Excel(name = "0: 未处理  1：已处理")
    private String status;

    /** 物料编号 */
    @Excel(name = "物料编号")
    private String goodsId;

    /** 物料编号 */
    private String cLocationId;
    private String rLocationId;

    private String locationId;

    /**入库任务托盘号 */
    private String shelfCtl;

    /**入库任务任务号 */
    private String shelfPlcId;

    /**出库任务托盘号 */
    private String pickCtl;

    /**出库任务任务号 */
    private String pickPlcId;

    /**虚拟入库 */
    private String fictitious;

    /**通知单号 */
    private String taskId;

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public String getTaskId() {
        return taskId;
}

public void setTaskId(String taskId) {
        this.taskId = taskId;
}

public String getFictitious() {
        return fictitious;
}

public void setFictitious(String fictitious) {
        this.fictitious = fictitious;
}

    private List<String> storageList;

    public String getShelfCtl() {
        return shelfCtl;
}

public void setShelfCtl(String shelfCtl) {
        this.shelfCtl = shelfCtl;
}

public String getShelfPlcId() {
        return shelfPlcId;
}

public void setShelfPlcId(String shelfPlcId) {
        this.shelfPlcId = shelfPlcId;
}

public String getPickCtl() {
        return pickCtl;
}

public void setPickCtl(String pickCtl) {
        this.pickCtl = pickCtl;
}

public String getPickPlcId() {
        return pickPlcId;
}

public void setPickPlcId(String pickPlcId) {
        this.pickPlcId = pickPlcId;
}

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getrLocationId() {
        return rLocationId;
    }

    public void setrLocationId(String rLocationId) {
        this.rLocationId = rLocationId;
    }

    public String getcLocationId() {
        return cLocationId;
    }

    public void setcLocationId(String cLocationId) {
        this.cLocationId = cLocationId;
    }

    /** 物料名称
 */
    @Excel(name = "物料名称")
    private String goodsName;

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setStorageId(String storageId)
            {
            this.storageId = storageId;
            }

    public String getStorageId()
            {
            return storageId;
            }
    public void setCtl(String ctl)
            {
            this.ctl = ctl;
            }

    public String getCtl()
            {
            return ctl;
            }
    public void setPlcid(Long plcid)
            {
            this.plcid = plcid;
            }

    public Long getPlcid()
            {
            return plcid;
            }
    public void setRukuId(String rukuId)
            {
            this.rukuId = rukuId;
            }

    public String getRukuId()
            {
            return rukuId;
            }
    public void setTaskType(String taskType)
            {
            this.taskType = taskType;
            }

    public String getTaskType()
            {
            return taskType;
            }
    public void setChukuId(String chukuId)
            {
            this.chukuId = chukuId;
            }

    public String getChukuId()
            {
            return chukuId;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setGoodsId(String goodsId)
            {
            this.goodsId = goodsId;
            }

    public String getGoodsId()
            {
            return goodsId;
            }
    public void setGoodsName(String goodsName)
            {
            this.goodsName = goodsName;
            }

    public String getGoodsName()
            {
            return goodsName;
            }

public List<String> getStorageList() {
        return storageList;
}

public void setStorageList(List<String> storageList) {
        this.storageList = storageList;
}

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("storageId", getStorageId())
            .append("ctl", getCtl())
            .append("plcid", getPlcid())
            .append("rukuId", getRukuId())
            .append("taskType", getTaskType())
            .append("chukuId", getChukuId())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
        .toString();
        }
}
